#! /bin/sh

set -x

DIR=/usr/local/portslave

for i in $DIR $DIR/bin $DIR/etc
do
  [ ! -d $i ] && install -m 755 -d $i
done

if [ -f $DIR/etc/server.cfg ]
then
	install -m 644 src/server.cfg	$DIR/etc/server.cfg.sample
else
	install -m 644 src/server.cfg	$DIR/etc/server.cfg
fi
install -m 755 src/portslave		$DIR/bin/portslave
install -m 755 src/radinit		$DIR/bin/radinit
install -m 755 ppp-2.2.0f-radius/pppd/pppd  $DIR/bin/pppd
install -m 755 rlogin-8.10/rlogin	$DIR/bin/rlogin
install -m 755 misc/pmfingerd.pl	$DIR/bin/pmfingerd.pl

if [ -d /etc/rc.boot ] && [ ! -f /etc/rc.boot/radinit ]
then
	install -m 755  src/radinit.sh /etc/rc.boot/radinit
fi

